# Uses of Interface
org.apache.lucene.search.suggest.InputIterator

Packages that use InputIterator
Package
Description
org.apache.lucene.search.spell
Suggest alternate spellings for words.
org.apache.lucene.search.suggest
Support for Autocomplete/Autosuggest
org.apache.lucene.search.suggest.analyzing
Analyzer based autosuggest.
org.apache.lucene.search.suggest.fst
Finite-state based autosuggest.
org.apache.lucene.search.suggest.tst
Ternary Search Tree based autosuggest.

- ## Uses of InputIterator in org.apache.lucene.search.spell

  Methods in org.apache.lucene.search.spell that return InputIterator
  Modifier and Type
  Method
  Description
  `InputIterator`
  Dictionary.`getEntryIterator()`
  Returns an iterator over all the entries
  `final InputIterator`
  HighFrequencyDictionary.`getEntryIterator()`
  `final InputIterator`
  LuceneDictionary.`getEntryIterator()`
  `InputIterator`
  PlainTextDictionary.`getEntryIterator()`

- ## Uses of InputIterator in org.apache.lucene.search.suggest

  Classes in org.apache.lucene.search.suggest that implement InputIterator
  Modifier and Type
  Class
  Description
  `class`
  `BufferedInputIterator`
  This wrapper buffers incoming elements.
  `protected class`
  `DocumentDictionary.DocumentInputIterator`
  Implements `InputIterator` from stored fields.
  `static class`
  `InputIterator.InputIteratorWrapper`
  Wraps a BytesRefIterator as a suggester InputIterator, with all weights set to `1` and carries no payload
  `class`
  `SortedInputIterator`
  This wrapper buffers incoming elements and makes sure they are sorted based on given comparator.
  `class`
  `UnsortedInputIterator`
  This wrapper buffers the incoming elements and makes sure they are in random order.
  Fields in org.apache.lucene.search.suggest declared as InputIterator
  Modifier and Type
  Field
  Description
  `static final InputIterator`
  InputIterator.`EMPTY`
  Singleton InputIterator that iterates over 0 BytesRefs.
  Methods in org.apache.lucene.search.suggest that return InputIterator
  Modifier and Type
  Method
  Description
  `InputIterator`
  DocumentDictionary.`getEntryIterator()`
  `InputIterator`
  DocumentValueSourceDictionary.`getEntryIterator()`
  `InputIterator`
  FileDictionary.`getEntryIterator()`
  Methods in org.apache.lucene.search.suggest with parameters of type InputIterator
  Modifier and Type
  Method
  Description
  `abstract void`
  Lookup.`build(InputIterator inputIterator)`
  Builds up a new internal `Lookup` representation based on the given `InputIterator`.
  Constructors in org.apache.lucene.search.suggest with parameters of type InputIterator
  Modifier
  Constructor
  Description
  ``
  `BufferedInputIterator(InputIterator source)`
  Creates a new iterator, buffering entries from the specified iterator
  ``
  `SortedInputIterator(Directory tempDir, String tempFileNamePrefix, InputIterator source)`
  Creates a new sorted wrapper, using natural order for sorting.
  ``
  `SortedInputIterator(Directory tempDir, String tempFileNamePrefix, InputIterator source, Comparator<BytesRef> comparator)`
  Creates a new sorted wrapper, sorting by BytesRef (ascending) then cost (ascending).
  ``
  `UnsortedInputIterator(InputIterator source)`
  Creates a new iterator, wrapping the specified iterator and returning elements in a random order.

- ## Uses of InputIterator in org.apache.lucene.search.suggest.analyzing

  Methods in org.apache.lucene.search.suggest.analyzing with parameters of type InputIterator
  Modifier and Type
  Method
  Description
  `void`
  AnalyzingInfixSuggester.`build(InputIterator iter)`
  `void`
  AnalyzingSuggester.`build(InputIterator iterator)`
  `void`
  FreeTextSuggester.`build(InputIterator iterator)`
  `void`
  FreeTextSuggester.`build(InputIterator iterator, double ramBufferSizeMB)`
  Build the suggest index, using up to the specified amount of temporary RAM while building.

- ## Uses of InputIterator in org.apache.lucene.search.suggest.fst

  Methods in org.apache.lucene.search.suggest.fst with parameters of type InputIterator
  Modifier and Type
  Method
  Description
  `void`
  FSTCompletionLookup.`build(InputIterator iterator)`
  `void`
  WFSTCompletionLookup.`build(InputIterator iterator)`

- ## Uses of InputIterator in org.apache.lucene.search.suggest.tst

  Methods in org.apache.lucene.search.suggest.tst with parameters of type InputIterator
  Modifier and Type
  Method
  Description
  `void`
  TSTLookup.`build(InputIterator iterator)`